MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023295Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-17 13:252012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023295: A part of conditional expression is always true
DescriptionIn BOPTools_PaveFiller_3, line 2045

if (!(aTypeC==GeomAbs_BezierCurve || GeomAbs_BSplineCurve)) {

should probably be

if (!(aTypeC==GeomAbs_BezierCurve || aTypeC==GeomAbs_BSplineCurve)) {
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0021762closedemv Open CASCADE Integration new Boolean Operation algorithm to OCC 

-  Notes
(0021007)
Pawel (developer)
2012-07-17 13:38

Corresponding git branch pushed. Please review.
(0021214)
emv (developer)
2012-08-08 10:16

Reviewed. Please test.
(0021225)
mkv (tester)
2012-08-09 14:29

Dear BugMaster,
Branch CR23295 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing case:
Not needed

- Related Changesets
occt: master 8558350d
Timestamp: 2012-07-17 09:34:42
Author: Pawel
Details ] Diff ]
0023295: A part of conditional expression is always true

Checking if curve type is GeomAbs_BSplineCurve.
mod - src/BOPTools/BOPTools_PaveFiller_3.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-17 13:25 Pawel New Issue
2012-07-17 13:25 Pawel Assigned To => Pawel
2012-07-17 13:38 Pawel Note Added: 0021007
2012-07-17 13:38 Pawel Assigned To Pawel => bugmaster
2012-07-17 13:38 Pawel Status new => resolved
2012-07-18 09:00 abv Assigned To bugmaster => emv
2012-07-18 09:00 abv Relationship added related to 0021762
2012-08-08 10:16 emv Note Added: 0021214
2012-08-08 10:16 emv Status resolved => reviewed
2012-08-09 10:57 mkv Assigned To emv => mkv
2012-08-09 14:29 mkv Note Added: 0021225
2012-08-09 14:29 mkv Test case number => Not needed
2012-08-09 14:29 mkv Assigned To mkv => bugmaster
2012-08-09 14:29 mkv Status reviewed => tested
2012-08-13 15:38 Pawel Changeset attached => occt master 8558350d
2012-08-13 15:38 Pawel Assigned To bugmaster => Pawel
2012-08-13 15:38 Pawel Status tested => verified
2012-08-13 15:38 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker